Subject: Re: [TLS] Additional Elliptic Curves (Curve25519 etc) for TLS ECDH key agreement

From: Peter Gutmann <[email-masked]>
Date: Sun, 12 Jan 2014 06:01:32 +0000

Dr Stephen Henson <[email-masked]> writes:

>If we want to use all the curves mentioned they will of course all need OIDs.

The arc for 25519 is:

  iso(1) identified-organization(3) dod(6) internet(1) private(4)
  enterprise(1) dds(3029) algorithm(1) ecc(5) curve25519(1)

This discussion is unfortunately spread across a few too many lists, I
mentioned on the CFRG list:

  I can assign them under the same arc as the -25519 curve.  Or I can delegate
  it to someone else if they want to act as a registrar.  I'm happy to do it,
  but I don't want to make myself the bottleneck.

Peter.